## mpeg4videoparse mpeg4videoparse |

## Properties

gboolean | drop | Read / Write / Construct
guint | config-interval | Read / Write

## Types and Values

struct | GstMpeg4VParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstMpeg4VParse

## Description

## Synopsis

### Element Information

plugin | videoparsersbad
author | Julien Moutte <julien@fluendo.com>
class | Codec/Parser/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/mpeg, mpegversion=(int)4, systemstream=(boolean)false
| video/x-divx, divxversion=(int)[ 4, 5 ]

name | src
direction | source
presence | always
details | video/mpeg, mpegversion=(int)4, width=(int)[ 0, 2147483647 ], height=(int)[ 0, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], parsed=(boolean)true, systemstream=(boolean)false
| video/x-divx, divxversion=(int)[ 4, 5 ]

## Functions

## Types and Values

### struct GstMpeg4VParse

    struct GstMpeg4VParse;

## Property Details

### The `“drop”` property

      “drop”                     gboolean

Drop data untill valid configuration data is received either in the stream or through caps.

Flags: Read / Write / Construct

Default value: TRUE

### The `“config-interval”` property

      “config-interval”          guint

Send Configuration Insertion Interval in seconds (configuration headers will be multiplexed in the data stream when detected.) (0 = disabled).

Flags: Read / Write

Allowed values: <= 3600

Default value: 0